#ifndef DICTPAGE_H
#define DICTPAGE_H

#include "dict.h"

class QString;

class DictPage
{
public:
	enum Warning {
		LongSelection, UrlSelection
	};

	DictPage() {};
	DictPage(const DictResponse &response);
	void set(const DictResponse &response);
	void set(const QString &text);
	QString htmltext();
	QString stylesheet();
	void error(const QString &text);
	void warning(const QString &text, Warning type);
	void about(const QString &text);
	void heading(const QString &text);
	void words(const QString &text);
	void matches(const QStringList &list);
	void server(const QString &text);
	void databases(const DictList &list);
	void strategies(const DictList &list);
	void nomatches(const QString &text, bool define, bool correct, bool suggestions);
	void suggestions(const QString &database,const QStringList &list);

private:
	QString html;
};

#endif
